Bug 468700 - sealert shows unlikely source and source path
sealert shows unlikely source and source path
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 10:47 EDT by Torsten Rausche
Modified: 2009-12-18 01:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Report by sealert with an unlikely source shown (2.83 KB, text/plain)
2008-10-27 10:47 EDT, Torsten Rausche
no flags Details
The requested audit_listener_database.xml (27.08 KB, text/plain)
2008-10-27 15:35 EDT, Torsten Rausche
no flags Details
AVC entries from audit.log for execmem and execstack (48.30 KB, text/plain)
2008-10-27 15:40 EDT, Torsten Rausche
no flags Details
Now the whole audit.log compressed (78.90 KB, application/x-bzip2)
2008-10-27 16:03 EDT, Torsten Rausche
no flags Details

  None (edit)
Description Torsten Rausche 2008-10-27 10:47:19 EDT
Created attachment 321615 [details]
Report by sealert with an unlikely source shown

Description of problem:
Look at "Source" and "Source Path" in the attachment. They show glxinfo while for sure there was no glxinfo process running at this time and the alert is related to openoffice.org. But glxinfo was running some minutes before and also produced a execstack alert. The system is running in permissive mode. I don't know if this happens in enforcing mode too.

Version-Release number of selected component (if applicable):
selinux-policy.noarch          3.5.13-8.fc10
selinux-policy-targeted.noarch 3.5.13-8.fc10
setroubleshoot.noarch          2.0.12-1.fc10
setroubleshoot-plugins.noarch  2.0.10-1.fc10
setroubleshoot-server.noarch   2.0.12-1.fc10

How reproducible:
I see it regularly due to bug 468678.

Steps to Reproduce:
(1. Set SELinux into permissive mode)
2. Force a (execstack) AVC denial with one process
3. Force a (execstack) AVC denial with another process (a different program) but the same cause
  
Actual results:
Sealert reports the first process as source in the second denial message.

Expected results:
The second process should be reported as source.

Additional info:
This could be specific to execstack alerts.
More examples can be found in bug 468641 and 468678.
Comment 1 Torsten Rausche 2008-10-27 12:20:15 EDT
It is not specific to execstack alerts. I just saw it with execmem too.
Comment 2 Daniel Walsh 2008-10-27 14:27:01 EDT
Could you attach the /var/log/audit/audit.log and /var/lib/setroubleshoot/audit_listener_database.xml

So we can determine if this is a problem in audit, setroubleshoot or sealert?
Comment 3 Torsten Rausche 2008-10-27 15:35:46 EDT
Created attachment 321643 [details]
The requested audit_listener_database.xml
Comment 4 Torsten Rausche 2008-10-27 15:40:51 EDT
Created attachment 321646 [details]
AVC entries from audit.log for execmem and execstack

Created with "ausearch -m AVC | grep -e execstack -e execmem > audit-grep.log" because the original audit.log has a size of multiple MB.
Comment 5 Daniel Walsh 2008-10-27 15:51:05 EDT
We need the original since this will eliminate some of the records that setroubleshoot is looking at.

Just bzip the file and attach it, it will not be large once it is bziped.
Comment 6 John Dennis 2008-10-27 15:52:32 EDT
re comment #4, you can't filter the log because you're throwing away other audit records associated with the AVC's, we need to see *all* the audit data. If the log is too big then compress it with bzip2 - Thanks.
Comment 7 Torsten Rausche 2008-10-27 16:03:26 EDT
Created attachment 321649 [details]
Now the whole audit.log compressed
Comment 8 Bug Zapper 2008-11-25 23:17:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Daniel Walsh 2009-02-11 09:54:51 EST
John, I think we concluded on this bug that we needed to add source and path to the signature.  Not sure what I need to do to make this happen.

Help needed.
Comment 11 Bug Zapper 2009-11-18 03:39:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 01:39:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.